Compatibilité de version avec Tableau Prep

Tableau Prep Builder publie fréquemment de nouvelles versions, généralement tous les mois. Si des fonctionnalités ou des connecteurs nouveaux sont introduits dans une nouvelle version et que vous utilisez une version antérieure de Tableau Prep Builder, la compatibilité peut poser problème en cas de tentative d'ouverture d'un flux.

Remarque : depuis la version 2020.4, vous pouvez désormais créer et modifier les flux directement dans Tableau Server et Tableau Online. Les flux créés sur le Web seront toujours compatibles avec la version de serveur que vous utilisez. Pour plus d'informations sur la création Web, consultez Tableau Prep sur le Web.

De la même manière, si vous publiez des flux sur Tableau Server ou Tableau Online pour programmer leur exécution à l'aide de Tableau Prep Conductor, et que vos flux incluent des fonctionnalités ou des connecteurs nouveaux non pris en charge dans la version de Tableau Server ou Tableau Online sur laquelle vous publiez, vous pouvez rencontrer des erreurs de compatibilité susceptibles d'empêcher la programmation et l'exécution de vos flux.

Trouver le numéro de version

Remarque : pour télécharger une version spécifique de Tableau Prep Builder, ouvrez la page Téléchargement de produits et notes de version(Le lien s’ouvre dans une nouvelle fenêtre) et sélectionnez Tableau Prep Builder dans la liste située à gauche sur la page.

Suivez les instructions ci-dessous pour trouver le numéro de version de votre produit.

Tableau Prep Builder

Les versions majeures de Tableau Prep Builder sont numérotées comme les versions de maintenance de Tableau Desktop et de Tableau Server, par exemple 2020.2.3. Seul Tableau Prep Builder ne distribue pas de versions de maintenance, mais uniquement des versions majeures.

Chaque version majeure représente la dernière version du produit, qui englobe toutes les nouvelles fonctionnalités et mises à jour. Par exemple, les flux créés avec Tableau Prep Builder version 2020.3.2 pourraient ne pas être entièrement compatibles avec Tableau Server version 2020.3.2, mais seraient compatibles avec la prochaine version majeure de Tableau Server, par exemple 2020.4.

Pour trouver la version de distribution de votre produit, ouvrez Tableau Prep Builder, puis dans le menu supérieur, effectuez l'une des opérations suivantes :

  • Windows : dans le menu du haut, cliquez sur Aide > À propos de Tableau Prep Builder ou À propos de Tableau Prep, selon votre version.
  • Mac : dans le menu supérieur, cliquez sur Tableau Prep Builder > À propos de Tableau Prep Builder ou Tableau Prep > À propos de Tableau Prep, selon votre version.

Le numéro de version s'affiche dans le coin inférieur gauche de la boîte de dialogue.

Tableau Server

Tableau Prep Conductor a été introduit comme partie intégrante du module Data Management Add-on dans Tableau Server version 2019.1. Pour programmer l’exécution de flux sur Tableau Server, vous devez utiliser Tableau Server version 2019.1 ou ultérieure, et Tableau Prep Conductor doit être activé.

Pour trouver votre version de Tableau Server, ouvrez Tableau Server dans votre navigateur Web. Dans la barre du menu supérieur, cliquez sur l'icône d'informations dans le coin supérieur droit et sélectionnez À propos de Tableau Server. Une boîte de dialogue vous indique quelle version de Tableau Server vous utilisez. Pour savoir comment activer Tableau Prep Conductor, consultez Étape 2 : Configurer les paramètres de flux pour votre serveur(Le lien s’ouvre dans une nouvelle fenêtre) dans l’aide de Tableau Server.

Tableau Online

Tableau Prep Conductor a été introduit comme partie intégrante du module Data Management Add-on dans Tableau Server version 2019.3. Pour programmer l’exécution de flux sur Tableau Online, vous devez utiliser Tableau Server version 2019.3 ou ultérieure, et Tableau Prep Conductor doit être activé .

Pour trouver votre version de Tableau Online, ouvrez Tableau Server dans votre navigateur Web. Dans la barre de menu supérieure, cliquez sur l'icône d'informations dans le coin supérieur droit et sélectionnez À propos de Tableau Online. Une boîte de dialogue vous indique quelle version de Tableau Online vous utilisez. Pour plus d'informations sur l'activation de Tableau Prep Conductor, consultez Tableau Prep Conductor(Le lien s’ouvre dans une nouvelle fenêtre) dans l’aide de Tableau Online.

Compatibilité entre différentes versions de Tableau Prep Builder

En général, une nouvelle version de Tableau Prep Builder peut ouvrir des flux créés dans une version antérieure. Toutefois, des problèmes de compatibilité peuvent se produire lorsque vous essayez d’ouvrir un flux entre des versions plus récentes et plus anciennes de Tableau Prep Builder, ou même lors de l’ouverture de flux dans la même version de Tableau Prep Builder sur des ordinateurs différents.

Par exemple :

  • Le flux comprend des connecteurs d'entrée ou des fonctionnalités qui ne sont pas pris en charge dans la version où le flux est ouvert.
  • La machine que vous utilisez pour ouvrir le flux n'a pas les connecteurs d'entrée requis ou possède une version de pilote pour le connecteur non compatible. Tableau Prep Builder requiert l'installation de pilotes 64 bits pour fonctionner avec des connecteurs d'entrée de flux.

En cas de problème de compatibilité, lorsque vous essayez d'ouvrir le flux, le flux peut s'ouvrir mais risque de contenir des erreurs. Ou alors il ne s'ouvrira pas ou vous recevrez un message d'erreur. Dans l'exemple ci-dessous, le flux ne s'ouvre pas, un message d'erreur s'affiche et répertorie les fonctionnalités incompatibles ainsi que les options permettant de résoudre le problème.

Résoudre les problèmes de compatibilité avec Tableau Prep Builder

Pour résoudre les problèmes de compatibilité, essayez l’une des solutions suivantes :

  • Mettez à niveau à la dernière version de Tableau Prep Builder.

    Cliquez sur le bouton de mise à jour situé en bas du volet Découvrir pour télécharger la dernière version du produit et suivez les instructions d'Installation de Tableau Prep Builder(Le lien s’ouvre dans une nouvelle fenêtre) dans le Guide de déploiement de Tableau Desktop et Tableau Prep Builder. Si vous n'avez pas accès au bouton de mise à jour du volet Découvrir, des instructions sur le téléchargement de la dernière version du produit sont incluses dans la rubrique Installer Tableau Prep Builder .

  • Assurez-vous que votre ordinateur est compatible avec Tableau Prep Builder. Par exemple, assurez-vous que les pilotes 64 bits sont installés pour les connecteurs utilisés par le flux. Pour télécharger des pilotes, consultez la page Téléchargements des pilotes(Le lien s’ouvre dans une nouvelle fenêtre).
  • Ouvrez une copie du flux dont les fonctionnalités incompatibles sont supprimées.

Compatibilité entre différentes versions de Tableau Prep Builder et Tableau Server

La publication depuis une version plus récente de Tableau Prep Builder vers une version antérieure de Tableau Server peut entraîner des problèmes de compatibilité. Par exemple, les nouvelles fonctionnalités ajoutées dans Tableau Prep Builder version 2020.3.2 peuvent ne pas être compatibles avec Tableau Server version 2020.3.2 mais seraient compatibles avec Tableau Server version 2020.4 et toute version majeure ultérieure de Tableau Server, telle que la version 2021.1.

Dans Tableau Server, Tableau Prep Conductor détecte les fonctionnalités incluses dans un flux au moment de sa publication. S'il détecte des fonctionnalités qu'il ne prend pas en charge, le flux peut toujours être publié sur Tableau Server, mais il ne peut pas être exécuté, ni être programmé ou encore ajouté à une tâche. Tableau Online est mis à jour automatiquement et régulièrement, et est donc généralement compatible avec toutes les versions de Tableau Prep Builder.

Si vous utilisez une version plus ancienne de Tableau Server, vous pouvez toujours exécuter des flux incompatibles manuellement dans Tableau Prep Builder ou à l'aide de la ligne de commande. Pour plus d'informations sur ce processus, consultez Actualiser les fichiers de sortie du flux depuis la ligne de commande(Le lien s’ouvre dans une nouvelle fenêtre).

Détecter les fonctionnalités incompatibles

Selon la version de Tableau Prep Builder que vous utilisez, vous pouvez repérer les fonctionnalités incompatibles de différentes manières.

Tableau Prep Builder (version 2020.1.1 et versions ultérieures)

Connectez-vous à Tableau Server, et Tableau Prep Builder détectera et désactivera les fonctionnalités incompatibles pour vous. Toutes les fonctionnalités qui ne sont pas compatibles s'afficheront en grisé. Si vous souhaitez continuer à utiliser la fonction et exécuter le flux manuellement ou à partir de la ligne de commande, vous pouvez l'activer à partir du menu.

Remarque : depuis Tableau Prep Builder version 2020.1.4, une fois que vous vous connectez à votre serveur, Tableau Prep Builder se souvient de votre nom de serveur et de vos informations d’identification lorsque vous fermez l’application. La prochaine fois que vous ouvrez l’application, vous êtes donc déjà connecté à votre serveur.

  1. Survolez la fonction désactivée pour voir si elle est désactivée parce qu'elle n'est pas compatible avec la version de votre serveur, puis cliquez sur le bouton Utiliser la fonctionnalité . Cette option est disponible dans le volet Flux et dans les menus du volet Profil, du volet Résultats et la grille de données.

    Remarque : les fonctionnalités peuvent être désactivées pour d'autres raisons, par exemple si les mises à jour des données sont suspendues ou si l'option n'est pas disponible pour une étape ou un type de données spécifique.

  2. La fonction sélectionnée est appliquée et toutes les fonctionnalités incompatibles sont activées et peuvent être utilisées. Les fonctionnalités incompatibles sont signalées par un avertissement afin que vous puissiez facilement les trouver et les supprimer si vous souhaitez exécuter le flux en utilisant une programmation dans votre version de Tableau Server.

Pour désactiver entièrement cette fonctionnalité et activer toutes les fonctionnalités incompatibles, procédez comme suit :

  1. Dans le menu du haut, sélectionnez Aide > Paramètres et performances > Désactiver les fonctionnalités incompatibles.

  2. Sélectionnez Désactiver les fonctionnalités incompatibles pour décocher la case située à côté de cette option. Pour réactiver la fonctionnalité, sélectionnez Désactiver les fonctions incompatibles. Cette option devrait être activée par défaut.

Tableau Prep Builder (version 2019.3.1 et versions ultérieures)

Lorsque vous créez votre flux, Tableau Prep Builder peut détecter les fonctionnalités incompatibles au fur et à mesure que vous les ajoutez et les signaler par une icône d'alerte. Vous devez être connecté à votre serveur pour voir ces alertes. Ce nouveau système d'alerte vous aide à identifier rapidement les fonctionnalités incompatibles dans votre flux. Vous pouvez ainsi décider si vous souhaitez conserver ou supprimer la fonctionnalité dans votre flux.

Survolez les alertes dans le volet Flux pour afficher des informations sur la fonctionnalité incompatible ou utilisez le nouveau centre d'alertes pour afficher plus de détails. Dans le centre d'alerte, cliquez sur le lien Afficher dans le flux pour accéder directement à l'étape, l'annotation, le champ ou la modification qui a déclenché l'avertissement.

Tableau Prep Builder (toutes les versions)

Si vous publiez un flux contenant des fonctionnalités incompatibles, le message suivant s'affiche et répertorie les fonctionnalités non prises en charge dans la version de Tableau Server à laquelle vous êtes connecté. Dans Tableau Prep Builder version 2019.2.3 et versions antérieures, c'est le seul moyen de voir quelles fonctionnalités sont incompatibles dans votre flux.

Remarque : le message d'erreur indique la version de Tableau Prep Builder dans laquelle la fonctionnalité a été introduite. Tableau Prep Builder ne publie pas de versions de maintenance, donc pour que la fonctionnalité soit compatible, Tableau Server doit exécuter la version majeure suivante. Dans l'exemple ci-dessous, la fonctionnalité Dupliquer des champs a été introduite dans Tableau Prep Builder version 2019.2.3. Elle ne sera donc pas compatible avec la version de maintenance de Tableau Server 2019.2.3. Par contre, elle serait compatible avec la prochaine version majeure de Tableau Server, la version 2019.3.

Si vous continuez à publier le flux, la publication aboutira correctement. Toutefois, lorsque vous ouvrez le flux dans Tableau Server ou Tableau Online, le message suivant s'affichera :

Pour planifier et exécuter le flux dans Tableau Server, vous pouvez effectuer l'une des opérations suivantes :

  • Recherchez la dernière version majeure de Tableau Server(Le lien s’ouvre dans une nouvelle fenêtre) compatible avec la version de Tableau Prep Builder que vous utilisez. Par exemple, si vous utilisez des fonctionnalités introduites dans Tableau Prep Builder version 2019.2.3, pour exécuter le flux dans Tableau Server, vous auriez besoin d'une version du serveur 2020.3 ou ultérieure.

    Tableau Online est mis à jour automatiquement et régulièrement, en général tous les trimestres. Testez d'abord votre flux, pour vous assurer qu'il est compatible avec votre version actuelle de Tableau Online avant de le publier.

  • Avant de publier le flux, supprimez les éléments incompatibles du flux, puis publiez le flux.

  • Si vous avez déjà publié votre flux sur Tableau Server, essayez de modifier directement le flux sur le serveur (version 2019.4 et ultérieure), téléchargez le flux et supprimez des fonctionnalités ou créez le flux dans une version antérieure de Tableau Prep Builder en utilisant uniquement des fonctionnalités disponibles dans cette version.

    Remarque : pour télécharger une version spécifique de Tableau Prep Builder, ouvrez la page Téléchargement de produits et notes de version(Le lien s’ouvre dans une nouvelle fenêtre) et sélectionnez Tableau Prep Builder dans la liste située à gauche sur la page.

Résolution des problèmes de compatibilité

Si le flux est déjà publié sur Tableau Server, essayez les étapes ci-dessous pour supprimer les fonctionnalités incompatibles avec votre version actuelle de Tableau Prep Builder. Une fois que vous avez supprimé les fonctionnalités et que le message d'incompatibilité de version ne s'affiche plus, republiez votre flux dans Tableau Server ou Tableau Online pour le planifier à l'aide de Tableau Prep Conductor.

Remarque : la licence de Tableau Prep Conductor est gérée via le module Data Management Add-on. Vous devez l'activer dans Tableau Server ou Tableau Online pour exécuter les flux à l'aide de la fonctionnalité de programmation. Pour plus d'informations sur le module Data Management Add-on, consultez Module Tableau Data Management Add-On(Le lien s’ouvre dans une nouvelle fenêtre). Pour plus d'informations sur l'activation de Tableau Prep Conductor dans Tableau Server ou Tableau Online, consultez Étape 2 : Configurer les paramètres de flux pour votre serveur(Le lien s’ouvre dans une nouvelle fenêtre) dans l’aide de Tableau Server, ou Tableau Prep Conductor(Le lien s’ouvre dans une nouvelle fenêtre) dans l’aide de Tableau Online.

Identifier les fonctionnalités incompatibles

Si vous travaillez dans Tableau Server, les fonctionnalités incompatibles dans votre flux ne sont pas répertoriées à l'heure actuelle. Pour identifier la liste des fonctionnalités à supprimer du flux, vous devez ouvrir le flux dans Tableau Prep Builder, puis les rechercher et les supprimer dans votre flux.

  1. Ouvrez votre flux. Si vous êtes dans Tableau Prep Conductor, dans le menu Autres actions, cliquez sur Télécharger pour télécharger le flux et l'ouvrir dans Tableau Prep Builder ou ouvrez simplement le flux dans Tableau Prep Builder.

  2. Si vous avez téléchargé le flux, cliquez sur le flux téléchargé pour l'ouvrir.
  3. En fonction de votre système d'exploitation, effectuez l'une des opérations suivantes :

    • Version 2019.3.1 et ultérieur : Dans le menu supérieur, sélectionnez Serveur > Connexion . Veillez à sélectionner le même serveur qui est incompatible avec le flux. Toute étape, annotation, champ ou modification incompatible doit être marquée par une icône d'alerte.

      Dans le coin supérieur droit du volet Flux, cliquez sur Alerte pour afficher les détails de chaque fonctionnalité incompatible. Cliquez sur Afficher dans le flux pour naviguer jusqu'à la fonctionnalité incompatible et prendre des mesures.

    • Version 2019.2.3 et antérieur : Dans le menu supérieur, sélectionnez Serveur > Publier le flux. Si vous devez vous reconnecter au serveur, assurez-vous de sélectionner le même serveur incompatible avec le flux. Une boîte de dialogue d'avertissement s'ouvre, répertoriant les fonctionnalités qui ne sont pas compatibles avec votre version de serveur. Notez les fonctionnalités afin de les identifier et de les supprimer du flux. Cliquez ensuite sur Annuler pour fermer la boîte de dialogue..

  4. Dans le menu supérieur, cliquez sur Fichier > Enregistrer sous pour enregistrer une copie de votre flux. Utilisez les options des sections suivantes pour supprimer les fonctionnalités incompatibles de votre flux.

Supprimer les fonctionnalités incompatibles du flux

Vous pouvez utiliser différentes méthodes pour rechercher et supprimer des fonctionnalités de votre flux. Cette section présente certaines options pour vous aider à résoudre les erreurs d’incompatibilité.

Sources de données incompatibles

Si la source de données n'est pas compatible, par exemple en cas d'ajout d'un nouveau connecteur non encore pris en charge dans Tableau Prep Conductor, vous devrez vous connecter à une source de données prise en charge.

Pour modifier votre connexion de données, procédez comme suit :

  1. Dans le volet Connexions, cliquez sur la flèche déroulante du connecteur et sélectionnez Supprimer pour supprimer la connexion à la source de données.

    Votre flux sera alors provisoirement dans un état d'erreur.

  2. Connectez-vous à une source de données compatible et faites-la glisser vers le volet Flux. Pour connecter la nouvelle étape des données entrantes avec votre flux, faites glisser l'étape vers la première étape du flux où vous souhaitez la connecter et déposez-la sur l'étape de connexion dans l'option Ajouter.

  3. Répétez ces étapes pour remplacer tous les autres connecteurs. Enregistrez ensuite votre flux et republiez-le.

Fonctionnalités incompatibles

Pour supprimer les fonctionnalités incompatibles, vous devez trouver les étapes où ces fonctionnalités ont été utilisées et les supprimer. Vous pouvez suivre les instructions de la section Identifier les fonctionnalités incompatibles pour localiser les fonctions incompatibles.

  1. Si la fonctionnalité est un type d'étape, dans le volet Flux, cliquez sur l'étape où la fonctionnalité est utilisée. Cliquez avec le bouton droit de la souris (ou Ctrl-clic sur un MacOS) dans l'étape et sélectionnez Supprimer.

  2. Si la fonctionnalité est une opération de nettoyage, dans le volet Flux, cliquez sur l'étape où la fonctionnalité est utilisée. Vous pouvez survoler les annotations dans le volet Flux ou dans les volets Profil ou Résultats pour afficher une liste des modifications.

    Remarque : dans Tableau Prep Builder version 2019.1.3 et ultérieure, vous pouvez survoler l'icône représentant la modification que vous recherchez dans une étape du volet Flux ou dans la fiche de profil, puis sélectionner l'annotation dans la liste des modifications. La modification est mise en surbrillance dans le volet Modifications, le volet Profil ou le volet Résultats, et dans la grille de données.

  3. Si nécessaire, ouvrez le volet Modifications et sélectionnez la modification correspondant à la fonctionnalité à supprimer. Cliquez sur la modification pour la sélectionner et cliquez sur Supprimer pour la supprimer du flux.

  4. Répétez ces étapes pour remplacer toute autre fonctionnalité. Enregistrez ensuite votre flux et republiez-le.
Merci de vos commentaires !